package com.hzya.frame.plugin.lets.util;

import cn.hutool.core.lang.Assert;
import com.hzya.frame.plugin.lets.dao.IBdBusitypeDao;
import com.hzya.frame.plugin.lets.entity.BdBusitypeEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 业务流程查询
 *
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.sowow.util
 * @Project：kangarooDataCenter
 * @name：QueryBdBusitypeUtil
 * @Date：2023/11/22 20:11
 * @Filename：QueryBdBusitypeUtil
 */
@Component
public class QueryBdBusitypeUtil {

    @Autowired
    private IBdBusitypeDao iBdBusitypeDao;

    public BdBusitypeEntity queryBdBusitype(String businame, String pkCorp) {
        //查询业务流程
        BdBusitypeEntity bdBusitypeEntity = new BdBusitypeEntity();
        bdBusitypeEntity.setDataSourceCode("lets_u8c");
        bdBusitypeEntity.setBusiname(businame);
        //2024年8月26日 11:03:06 和浪哥沟通取pkCorp为4个@的业务流程！
        bdBusitypeEntity.setPkCorp(pkCorp);
        bdBusitypeEntity.setDr(0);
        List<BdBusitypeEntity> bdBusitypeEntityList = iBdBusitypeDao.query(bdBusitypeEntity);
        if (bdBusitypeEntityList.size() == 0) {
            Assert.state(false, "没有查询到业务流程，业务流程名称：{}", bdBusitypeEntity.getBusiname());
        } else if (bdBusitypeEntityList.size() > 1) {
            Assert.state(false, "查询到多个业务流程，业务流程名称：{}", bdBusitypeEntity.getBusiname());
        }
        return bdBusitypeEntityList.get(0);
    }
}
